tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From angel cabello <acabe...@masterd.es>
Subject Error starting tomcat 5
Date Thu, 26 Aug 2004 07:12:13 GMT
Hello:

I have a problem, strange problem.
Last month I installed sucesfully tomcat 5.0.24, but this tuesday I 
tried to upgrate it to tomcat 5.027.
I didn't stop the old tomcat, I just killed him (signal 15, I am running 
linux SUSE 9.1).

Now I am not able to start tomcat (nor 5.027 nor 5.0.24, nor 4.1), in 
catalina.out I get this message:

Bootstrap: Class loader creation threw exception
java.lang.NoClassDefFoundError: org/apache/tomcat/util/compat/JdkCompat
    at 
org.apache.catalina.loader.StandardClassLoader.<clinit>(StandardClassLoader.java:207)
    at 
org.apache.catalina.startup.ClassLoaderFactory.createClassLoader(ClassLoaderFactory.java:189)
    at 
org.apache.catalina.startup.Bootstrap.createClassLoader(Bootstrap.java:160)
    at 
org.apache.catalina.startup.Bootstrap.initClassLoaders(Bootstrap.java:104)
    at org.apache.catalina.startup.Bootstrap.init(Bootstrap.java:193)
    at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:399)

It works OK in others machines, I have rebooted the machine (windows 
solution) but the problem is here again.

java -version
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_03-b02)
Java HotSpot(TM) Client VM (build 1.4.2_03-b02, mixed mode)


Can anyone help me?

Angel Cabello
masterd.es

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message